gr::dab::reed_solomon_decode_bb Class Referenceabstract

Reed-Solomon decoder configured for DAB+. More...

`#include <reed_solomon_decode_bb.h>`

Inheritance diagram for gr::dab::reed_solomon_decode_bb:
[legend]

## Public Types

typedef std::shared_ptr< reed_solomon_decode_bb > | sptr

## Public Member Functions

virtual int | get_corrected_errors ()=0

## Static Public Member Functions

static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::reed_solomon3_bb.

## Detailed Description

Reed-Solomon decoder configured for DAB+.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<reed_solomon_decode_bb> gr::dab::reed_solomon_decode_bb::sptr

## Member Function Documentation

## get_corrected_errors()

virtual int gr::dab::reed_solomon_decode_bb::get_corrected_errors | ( |  | ) |

pure virtual

Implemented in gr::dab::reed_solomon_decode_bb_impl.

## make()

sptr gr::dab::reed_solomon_decode_bb::make | ( | int | bit_rate_n | ) |

static

Return a shared_ptr to a new instance of dab::reed_solomon3_bb.

To avoid accidental use of raw pointers, dab::reed_solomon3_bb's constructor is in a private implementation class. dab::reed_solomon3_bb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- reed_solomon_decode_bb.h